/*
 * @Author: Anmin
 * @Email:changanmin1@crc.com.hk
 * @Date: 2018-11-09 16:28:24
 * @Last Modified by: Anmin
 * @Last Modified time: 2018-11-12 16:41:22
 * @description:  文本框的 modal
 * // ModalTextarea
 */
function getModalTextarea(options) {
  let text = options.text || "";
  let placeholder = options.placeholder || "";
  let val = options.val || "";
  return h => {
    return h("div", [
      h(
        "div",
        {
          class: "ivu-modal-confirm-body"
        },
        [
          h(
            "div",
            {
              class: [
                "ivu-modal-confirm-body-icon",
                "ivu-modal-confirm-body-icon-confirm"
              ]
            },
            [h("i", { class: ["ivu-icon", "ivu-icon-help-circled"] })]
          ),
          h("div", [
            h("p", text+''),
            h("Input", {
              props: {
                value: val,
                clearable: true,
                maxlength: 1000,
                placeholder: placeholder,
                autofocus: true,
                type: "textarea"
              },
              on: {
                input: val => {
                  options.val = val;
                }
              }
            })
          ])
        ]
      )]);
  };
}
export default getModalTextarea;
