export default class Server {
  constructor() {}
  fetchData(url, param) {
    const URI = `${process.env.API.emsReceivable}${url}`; 
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  /**
   * 查询客户映射关系结果集分页
   */
  find(param = {}) {
    return this.fetchData("/receivableLocal/findRceivableLocalPage", param);
  }
  // 新增或修改客户映射关系
  edit(param = {}){
    return this.fetchData("/receivableLocal/saveRceivableLocal",param);
  } 
  del(param = {}){
    return this.fetchData(`/receivableLocal/deleteRceivableLocal/${param}`);
  }
}
