export default class Server {
  constructor() {}
  fetchData(url, param) {
    const URI = `${process.env.API.emsReceivable}${url}`; 
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  /**
   * 查询权限列表
   */
  find(param = {}) {
    return this.fetchData("/receivablePermission/findPermissionPage", param);
  }
  // 新增权限分配
  edit(param = {}){
    return this.fetchData("/receivablePermission/savePermission",param);
  }
  //删除
  del(param = {}){
      return param && this.fetchData(`/receivablePermission/deletePersmission`,param);
  }
}
