class Server {
  constructor() { }
  fetchData(url, param) {
    const URI = `${process.env.API.emsAdminURL + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  fetchReceivableData(url, param) {
    const URI = `${process.env.API.emsReceivable + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  /**
   * 查询业务类型
   */
  queryCategoryList(param = {}) {
    return this.fetchData("/category/getReceivablesCategory", param);
  }
  /**
   * 查询导出列
   */
  queryExportColunmns(param = {}) {
    return this.fetchReceivableData(
      "/receivableExcel/getExcelExportColumns",
      param
    );
  }

  /**
   * 操作记录
   * @param {
   * receivablesNum   原收款单号，入参，
   * receivablesLineNum   收款子单号，入参，*没有可不填
   * } 
   */
  operationRecord(param = {}) {
    return this.fetchReceivableData(`/receivable/findRceivableOperLog`, param);
  }
  queryDocumentInfo(param = {}) {
    // const URI = `${process.env.API.claimURL}/claim/findClaimHeadForReceive`;

    // EMS-3730 在关联工单的界面增加工单已被关联次数及报账单号
    const URI = `${process.env.API.emsReceivable}/receivableClaim/findClaimHeadForReceive`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }

  imagerReadingUrlVO(param = {}) {
    return this.fetchReceivableData(`/imageController/imagerReadingUrlVO?receivablesNum=${param.receivablesNum}`, param)
  }

  //修改总账日期
  updateReceivableLineGLDate(param = {}) {
    return this.fetchReceivableData("/receivableClaim/updateReceivableLineGLDate", param);
  }
}
export default Server;
