import Server from '../../server.js';
class ServerChild extends Server {
  constructor() {
    super();
  }  
  //查询单据对应附件信息接口
  findFileInfo(params = {}){
    return this.fetchData(`/claim/file/findFileInfo`,params);
  }
  //附件删除
  fileDel(params = {}){
    return this.fetchData(`/claim/file/delete`,params);
  }
  //附件下载
  fileDown(params ={}){
    // return this.fetchData(``,params);
    const URI = `${process.env.API.emsReceivable}/claim/file/download`;
    return new Promise(resolve => { 
      $axios({
        method:'post',
        url:URI, 
        data:params,
        responseType:'blob'
      }).then(response => { 
        resolve(response);
      })
      .catch(error => {  
        let fr = new FileReader();
        fr.readAsText(error.response.data,'utf-8');
        fr.onload = function(e){ 
          console.info(fr.result);
          let ms= fr.result && JSON.parse(fr.result);
          let responseData = {
            dataResult: [],
            extra: "",
            msg: ms.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        };  
      });
    });
  } 
  fileBatchDown(params={}){ 
    const URI = `${process.env.API.emsReceivable}/claim/file/downloadBatch?fileIds=${params.fileIds}`;
    return new Promise(resolve => { 
      $axios({
        method:'get',
        url:URI, 
        data:params,
        responseType:'blob'
      }).then(response => { 
        resolve(response);
      })
      .catch(error => {  
        let fr = new FileReader();
        fr.readAsText(error.response.data,'utf-8');
        fr.onload = function(e){ 
          console.info(fr.result);
          let ms= fr.result && JSON.parse(fr.result);
          let responseData = {
            dataResult: [],
            extra: "",
            msg: ms.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        };  
      });
    });
  }
  GETfileBatchDown(params={}){ 
    ///claim/file/downloadBatch?fileIds=115
    const URI = `${process.env.API.emsReceivable}/claim/file/downloadBatch?fileIds=${params}`;
    return new Promise(resolve => { 
      $axios({
        method:'get',
        url:URI, 
        // data:params,
        responseType:'blob'
      }).then(response => { 
        resolve(response);
      })
      .catch(error => {  
        let fr = new FileReader();
        fr.readAsText(error.response.data,'utf-8');
        fr.onload = function(e){ 
          console.info(fr.result);
          let ms = fr.result && JSON.parse(fr.result);
          let responseData = {
            dataResult: [],
            extra: "",
            msg: ms.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        };  
      });
    });
  }
}
export default ServerChild;
