export default class Server {
  constructor() {}
  fetchData(url, param) {
    const URI = `${process.env.API.emsReceivable + url}`;
    return new Promise(resolve => {
      $axios
        .post(URI, param)
        .then(response => {
          resolve(response);
        })
        .catch(error => {
          let responseData = {
            dataResult: [],
            extra: "",
            msg: error.response.data.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        });
    });
  }
  //下载模板
  downloadTemplate(param = {}) {  
    const URI = `${process.env.API.emsReceivable}/receivableExcel/excelExportRecSerChgTemplate`;
    return new Promise(resolve => { 
      $axios({
        method:'post',
        url:URI, 
        data:param,
        responseType:'blob'
      }).then(response => { 
        resolve(response);
      })
      .catch(error => {  
        let fr = new FileReader();
        fr.readAsText(error.response.data,'utf-8');
        fr.onload = function(e){ 
          console.info(fr.result);
          let ms= fr.result && JSON.parse(fr.result);
          let responseData = {
            dataResult: [],
            extra: "",
            msg: ms.message || "服务异常，请联系管理员",
            statusCode: "-1"
          };
          resolve(responseData);
        };  
      });
    });
  } 
  loadFileMsg(params ={}){ 
    return this.fetchData(`/receivableExcel/excelImportReceivableLogPage`,params);
  }
  loadFileError(id){             
    let url = `${process.env.API.emsReceivable}/receivableExcel/excelImportReceivableLogFile/${id}`;
    return window.open(url,'_blank'); 
  }
}
