export default {
    // 查询归属公司
    QueryBelongedToCompanys: function ({commit}, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.emsBaseDataURL}/mdOu/findAllMdOuList` + (param ? ("/" + param.name) : ""), {}).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },
    // 根据组织code查询下一级组织部门
    QuerySubOrgsByOrgCode: function ({commit}, param) {
        console.log(param.orgId);
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/org/findSubOrgs/` + param.orgId, {}).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },
// 查询初始化组织部门信息（三层）
    QueryInitializationOrgs: function ({commit}, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/org/findOrgs` + (param ? ("/" + param.name) : ""), {}).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },
    // 根据组织code查询员工
    QueryEmployeeByOrgCode: function ({commit}, param) {
        console.log(param.orgId);
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/org/findSubEmployees/` + param.orgId, {}).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },

    // 根据组织名称查询组织数据
    QueryOrgByOrgName: function ({commit}, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/org/findOrg` + (param ? ("/" + param.name) : ""), {}).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },

    // 根据员工姓名查询员工
    QueryEmployeeByName: function ({commit}, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.claimURL}/org/findEmployee/${param.name}`, param).then((response) => {
                resolve(response.data);
            })
                .catch((error) => {
                    let responseData = {"dataResult": [], "extra": "", "msg": "服务异常，请联系管理员", "statusCode": "-1"};
                    resolve(responseData);
                })
        })
    },
    QueryMenus: function ({commit}, param) {
        return new Promise((resolve) => {
            $axios.post(`${process.env.API.baseURL}/sys/nav/info`, param).then((response) => {
                let checkList = [];
                let root=[{
                    "menuCode": "ReceivableWorkable",
                    "menuDesc": "收款工作台",
                    "menuId": "532F15862B6F49F0825863FA28E44423",
                    "menuModuleId": "",
                    "menuName": "收款工作台",
                    "menuType": "1",
                    "sort": 0,
                    "urlType": 1,
                    "version": 1
                }]
                resolve({
                    data: root.concat(response.data.dataResult.userMenuList[0].children),
                    checkList:checkList
                });
            })
        })
    }
}